Last Comment Bug 828127 - [Needinfo] One user can needinfo multiple times from the same person
: [Needinfo] One user can needinfo multiple times from the same person
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Extensions: Needinfo (show other bugs)
: Production
: All All
: -- normal (vote)
: ---
Assigned To: David Lawrence [:dkl]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-08 19:30 PST by Walter Chen[:ypwalter][:wachen]
Modified: 2013-01-21 14:37 PST (History)
3 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch to disallow same requestee muliple times for needinfo (v1) (750 bytes, patch)
2013-01-17 14:02 PST, David Lawrence [:dkl]
glob: review+
Details | Diff | Splinter Review

Description Walter Chen[:ypwalter][:wachen] 2013-01-08 19:30:26 PST
https://bugzilla.mozilla.org/show_bug.cgi?id=827535

mvines: 	needinfo 	ggrisco@codeaurora.org
shuang: 	needinfo 	ggrisco@codeaurora.org
wachen: 	needinfo 	ggrisco@codeaurora.org
wachen: 	needinfo 	ggrisco@codeaurora.org

Also, one can still add more needinfo from the same person.
Comment 1 Walter Chen[:ypwalter][:wachen] 2013-01-08 19:33:48 PST
There are two aspects of this bug:
1. multiple people requesting from the same person:   Acceptable
2. same people requesting multiple times from another person:   Strange
Comment 2 David Lawrence [:dkl] 2013-01-17 14:02:58 PST
Created attachment 703582 [details] [diff] [review]
Patch to disallow same requestee muliple times for needinfo (v1)
Comment 3 Byron Jones ‹:glob› 2013-01-20 23:32:31 PST
Comment on attachment 703582 [details] [diff] [review]
Patch to disallow same requestee muliple times for needinfo (v1)

r=glob, with the following to be fixed on commit:

>+                next if $flag->requestee->login != $needinfo_flag->{requestee};

that needs to be 'ne' not '!='.
Comment 4 David Lawrence [:dkl] 2013-01-21 14:37:26 PST
Thanks

Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.0   
modified extensions/Needinfo/Extension.pm
Committed revision 8446.

Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.2   
modified extensions/Needinfo/Extension.pm
Committed revision 8510.

Note You need to log in before you can comment on or make changes to this bug.